/*
 * @Descripttion: 
 * @version: 
 * @Author: 王三华
 * @Date: 2023-10-12 11:21:21
 */
/*
 * @Descripttion:
 * @version:
 * @Author: 王三华
 * @Date: 2023-07-15 17:18:09
 */
import store from '@/store'
export function stateFormat(row, column, cellValue) {
  if (cellValue) {
    return Number(cellValue)
      .toFixed(2)
      .replace(/(\d)(?=(\d{3})+\.)/g, ($0, $1) => {

        return $1 + ',';
      })

      .replace(/\.$/, "");
  }
}
// 千分号
export function numberToCurrencyNo(value) {
  if (!value) return 0
  if (value < 1) {
    return value
  }
  // 获取整数部分
  const intPart = Math.trunc(value)
  // 整数部分处理，增加,
  const intPartFormat = intPart.toString().replace(/(\d)(?=(?:\d{3})+$)/g, '$1,')
  // 预定义小数部分
  let floatPart = ''
  // 将数值截取为小数部分和整数部分
  const valueArray = value.toString().split('.')
  if (valueArray.length === 2) { // 有小数部分
    floatPart = valueArray[1].toString() // 取得小数部分
    return intPartFormat + '.' + floatPart
    // 使用JS内置 API （toLocaleString），实现数字、金额等等数值的格式化
    // xxx.toLocaleString()

  }
  return intPartFormat + floatPart
}
// 海外添加$
export function isDollar(value) {
  if (store.getters.getUser.currency.pkCountry != 1) {
    return '$' + value
  } else {
    return value
  }
}

// 海外添加当地币
export function isLocal(value) {
  if (store.getters.getUser.currency.pkCountry != 1) {
    return store.getters.getUser.currency.symbol + value
  } else {
    return value
  }
}
// 海外添加$
export function isOther(value) {
  if (JSON.parse(localStorage.getItem('userAll')).currency.pkCountry != 1) {
    return '$'
  } else {
    return '￥'
  }
}
// 海外添加当地币
export function isLocals(value) {
  return '￥'
}
// let userAll = JSON.parse(localStorage.getItem('userAll'))
//   console.error(userAll)

// 当地币符号
export function isLocalSymbol(value) {
  return '￥'
}

export function toThousandthAndKeepDecimal(element, decimal = 2) {
  if (!element || element === '') {//值不存在 或为空
    return '0.00'
  } else if (typeof element == 'string') {
    return Number(element).toLocaleString(undefined, { minimumFractionDigits: decimal, maximumFractionDigits: decimal });
  } else if (typeof element == 'number') {
    return element.toLocaleString(undefined, { minimumFractionDigits: decimal, maximumFractionDigits: decimal });
  } else {
    return element;
  }

}